﻿//Copyright © 2014 ThinkGeo LLC. All rights reserved.
//The use of this code is for evaluating Map Suite products and the World Map Kit SDK for up to 60 days.  
//To license this product for use in your application please contact ThinkGeo at www.thinkgeo.com

using ThinkGeo.MapSuite.Styles;

namespace ThinkGeo.MapSuite.Layers
{
    public partial class WorldStreetsLayer
    {
        protected virtual AreaStyle GetBaseLandAreaStyle()
        {
            return WorldStreetsAreaStyles.BaseLand();
        }

        protected virtual AreaStyle GetNationalParkAreaStyle()
        {
            return WorldStreetsAreaStyles.NationalPark();
        }

        protected virtual AreaStyle GetProtectedAreaAreaStyle()
        {
            return WorldStreetsAreaStyles.ProtectedArea();
        }

        protected virtual AreaStyle GetWaterAreaStyle()
        {
            return WorldStreetsAreaStyles.Water();
        }

        protected virtual AreaStyle GetOrchardAreaStyle()
        {
            return WorldStreetsAreaStyles.Orchard();
        }

        protected virtual AreaStyle GetVineyardsAreaStyle()
        {
            return WorldStreetsAreaStyles.Vineyards();
        }

        protected virtual AreaStyle GetLandfillAreaStyle()
        {
            return WorldStreetsAreaStyles.Landfill();
        }

        protected virtual AreaStyle GetRailwayAreaStyle()
        {
            return WorldStreetsAreaStyles.Railway();
        }

        protected virtual AreaStyle GetCemeteryAreaStyle()
        {
            return WorldStreetsAreaStyles.Cemetery();
        }

        protected virtual AreaStyle GetQuarryAreaStyle()
        {
            return WorldStreetsAreaStyles.Quarry();
        }

        protected virtual AreaStyle GetBasinAreaStyle()
        {
            return WorldStreetsAreaStyles.Basin();
        }

        protected virtual AreaStyle GetVillageGreenAreaStyle()
        {
            return WorldStreetsAreaStyles.VillageGreen();
        }

        protected virtual AreaStyle GetRecreationGroundAreaStyle()
        {
            return WorldStreetsAreaStyles.RecreationGround();
        }

        protected virtual AreaStyle GetFarmlandAreaStyle()
        {
            return WorldStreetsAreaStyles.Farmland();
        }

        protected virtual AreaStyle GetIndustrialAreaStyle()
        {
            return WorldStreetsAreaStyles.Industrial();
        }

        protected virtual AreaStyle GetRetailAreaStyle()
        {
            return WorldStreetsAreaStyles.Retail();
        }

        protected virtual AreaStyle GetCommercialAreaStyle()
        {
            return WorldStreetsAreaStyles.Commercial();
        }

        protected virtual AreaStyle GetForestAreaStyle()
        {
            return WorldStreetsAreaStyles.Forest();
        }

        protected virtual AreaStyle GetMilitaryAreaStyle()
        {
            return WorldStreetsAreaStyles.Military();
        }

        protected virtual AreaStyle GetMeadowAreaStyle()
        {
            return WorldStreetsAreaStyles.Meadow();
        }

        protected virtual AreaStyle GetGrassAreaStyle()
        {
            return WorldStreetsAreaStyles.Grass();
        }

        protected virtual AreaStyle GetResidentialAreaStyle()
        {
            return WorldStreetsAreaStyles.Residential();
        }

        protected virtual AreaStyle GetParkAreaStyle()
        {
            return WorldStreetsAreaStyles.Park();
        }

        protected virtual AreaStyle GetSchoolAreaStyle()
        {
            return WorldStreetsAreaStyles.School();
        }

        protected virtual AreaStyle GetBeachAreaStyle()
        {
            return WorldStreetsAreaStyles.Beach();
        }

        protected virtual AreaStyle GetGrasslandAreaStyle()
        {
            return WorldStreetsAreaStyles.Grassland();
        }

        protected virtual AreaStyle GetHeathAreaStyle()
        {
            return WorldStreetsAreaStyles.Heath();
        }

        protected virtual AreaStyle GetMudAreaStyle()
        {
            return WorldStreetsAreaStyles.Mud();
        }

        protected virtual AreaStyle GetWoodAreaStyle()
        {
            return WorldStreetsAreaStyles.Wood();
        }

        protected virtual AreaStyle GetSandAreaStyle()
        {
            return WorldStreetsAreaStyles.Sand();
        }

        protected virtual AreaStyle GetWetlandAreaStyle()
        {
            return WorldStreetsAreaStyles.Wetland();
        }

        protected virtual AreaStyle GetScrubAreaStyle()
        {
            return WorldStreetsAreaStyles.Scrub();
        }

        protected virtual AreaStyle GetSwimmingPoolAreaStyle()
        {
            return WorldStreetsAreaStyles.SwimmingPool();
        }

        protected virtual AreaStyle GetMarinaAreaStyle()
        {
            return WorldStreetsAreaStyles.Marina();
        }

        protected virtual AreaStyle GetWaterParkAreaStyle()
        {
            return WorldStreetsAreaStyles.WaterPark();
        }

        protected virtual AreaStyle GetTrackAreaStyle()
        {
            return WorldStreetsAreaStyles.Track();
        }

        protected virtual AreaStyle GetCommonAreaStyle()
        {
            return WorldStreetsAreaStyles.Common();
        }

        protected virtual AreaStyle GetPitchAreaStyle()
        {
            return WorldStreetsAreaStyles.Pitch();
        }

        protected virtual AreaStyle GetStadiumAreaStyle()
        {
            return WorldStreetsAreaStyles.Stadium();
        }

        protected virtual AreaStyle GetSportsCenterAreaStyle()
        {
            return WorldStreetsAreaStyles.SportsCenter();
        }

        protected virtual AreaStyle GetPlaygroundAreaStyle()
        {
            return WorldStreetsAreaStyles.Playground();
        }

        protected virtual AreaStyle GetGolfcourseAreaStyle()
        {
            return WorldStreetsAreaStyles.Golfcourse();
        }

        protected virtual AreaStyle GetGardenAreaStyle()
        {
            return WorldStreetsAreaStyles.Garden();
        }

        protected virtual AreaStyle GetDogParkAreaStyle()
        {
            return WorldStreetsAreaStyles.DogPark();
        }

        protected virtual AreaStyle GetNatureReserveAreaStyle()
        {
            return WorldStreetsAreaStyles.NatureReserve();
        }

        protected virtual AreaStyle GetZooAreaStyle()
        {
            return WorldStreetsAreaStyles.Zoo();
        }

        protected virtual AreaStyle GetAttractionAreaStyle()
        {
            return WorldStreetsAreaStyles.Attraction();
        }

        protected virtual AreaStyle GetParkingAreaStyle()
        {
            return WorldStreetsAreaStyles.Parking();
        }

        protected virtual AreaStyle GetAerodromeAreaStyle()
        {
            return WorldStreetsAreaStyles.Aerodrome();
        }

        protected virtual AreaStyle GetHelipadAreaStyle()
        {
            return WorldStreetsAreaStyles.Helipad();
        }

        protected virtual Style GetBuildingAreaStyle()
        {
            return WorldStreetsAreaStyles.Building();
        }

        protected virtual Style GetBuildingShadowAreaStyle(float width, float xOffsetInPixel, float yOffsetInPixel)
        {
            return WorldStreetsAreaStyles.BuildingShadow(width, xOffsetInPixel, yOffsetInPixel);
        }

        protected virtual AreaStyle GetPowerStationAreaStyle()
        {
            return WorldStreetsAreaStyles.PowerStation();
        }

        protected virtual AreaStyle GetApronAreaStyle()
        {
            return WorldStreetsAreaStyles.Apron();
        }

        protected virtual AreaStyle GetRunwayAreaStyle()
        {
            return WorldStreetsAreaStyles.Runway();
        }

        protected virtual AreaStyle GetPierAreaStyle()
        {
            return WorldStreetsAreaStyles.Pier();
        }
    }
}
